Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ControlContext.Callback

All Superinterfaces:
  Context.Callback

Enclosing interface:
  ControlContext

    public static interface ControlContext.Callback

extends Context.Callback

Provides a way for controls to receive callbacks from their environment. In particular, this interface defines lifecycle event callbacks. A control receives these at run time, during its use in a container, such as a web service or pageflow. You can handle these callbacks to, for example, acquire and release resources in a manner that helps your application's performance by holding resources only when they're needed.

See Also:
  `Context.Callback`

Method Summary
`void` | `onAcquire()` Received just before any of this control's top-level container's methods execute.
`void` | `onRelease()` Received after this control's top level container's conversational context has finished.
`void` | `onReset()` Received after execution if this control's containing component (or a parent) is stateless.

Methods inherited from interface weblogic.jws.control.Context.Callback
`onAgeTimeout, onAsyncFailure, onCreate, onException, onFinish, onIdleTimeout`

Method Detail

### onAcquire

    void onAcquire()

  Received just before any of this control's top-level container's methods execute. Handle this callback to acquire any external resources or state that will be held through the lifetime of the top-level execution context.
  This callback is intended for advanced control development. For information on using advanced control features, see the ControlDevKit sample application available with WebLogic Workshop.

### onRelease

    void onRelease()

  Received after this control's top level container's conversational context has finished. Handle this callback to release resources or state the control acquired when handling the onAcquire callback.
  This callback is intended for advanced control development. For information on using advanced control features, see the ControlDevKit sample application available with WebLogic Workshop.

### onReset

    void onReset()

  Received after execution if this control's containing component (or a parent) is stateless. Handle this callback to reset internal fields to a default state.
  This callback is intended for advanced control development. For information on using advanced control features, see the ControlDevKit sample application available with WebLogic Workshop.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD